<ui:composition xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html" xmlns:cc="http://xmlns.jcp.org/jsf/composite">
	<cc:interface>
		<cc:attribute name="value" required="true" type="org.jooq.JSONB" />
		<cc:attribute name="showIsoBadge" required="false" default="true" type="java.lang.Boolean" />
		<cc:attribute name="ignoreLocale" required="false" default="false" type="java.lang.Boolean" />
	</cc:interface>
	<cc:implementation>
		<ui:fragment rendered="#{cc.attrs.ignoreLocale == false}">
			<h:outputText value="#{facesContext.isocode}" styleClass="squarebadgestartdark" rendered="#{cc.attrs.showIsoBadge}" /> 
			<h:outputText value="#{facesContext.selectTranslation(cc.attrs.value)}" styleClass="#{cc.attrs.showIsoBadge ? 'squarebadgeend' : ''}" rendered="#{cc.attrs.value != null}" />
		</ui:fragment>
		<ui:fragment rendered="#{cc.attrs.ignoreLocale == true}">
			<ui:repeat value="#{facesContext.listTranslations(cc.attrs.value)}" var="t">
				<h:outputText value="#{t.isocode}" styleClass="squarebadgestartdark" style="margin-top: 1px" rendered="#{cc.attrs.showIsoBadge}" /> 
				<h:outputText value="#{t.value}" styleClass="#{cc.attrs.showIsoBadge ? 'squarebadgeend' : ''}" style="margin-top: 1px" rendered="#{t.value != null}" /><br />
			</ui:repeat>
		</ui:fragment>
	</cc:implementation>
</ui:composition>